curl --request PUT \
--url https://api.virtuoussoftware.com/api/Segment/{segmentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"code": "<string>",
"description": "<string>",
"totalContacts": "<integer>",
"contactQueryId": "<integer>",
"costPerContact": "<double>",
"packageCode": "<string>",
"packageDescription": "<string>",
"receiptSegmentId": "<integer>",
"segmentOrganizerId": "<integer>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
code: '<string>',
description: '<string>',
totalContacts: '<integer>',
contactQueryId: '<integer>',
costPerContact: '<double>',
packageCode: '<string>',
packageDescription: '<string>',
receiptSegmentId: '<integer>',
segmentOrganizerId: '<integer>'
})
};
fetch('https://api.virtuoussoftware.com/api/Segment/{segmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Segment/{segmentId}"
payload = {
"name": "<string>",
"code": "<string>",
"description": "<string>",
"totalContacts": "<integer>",
"contactQueryId": "<integer>",
"costPerContact": "<double>",
"packageCode": "<string>",
"packageDescription": "<string>",
"receiptSegmentId": "<integer>",
"segmentOrganizerId": "<integer>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Segment/{segmentId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"name\": \"<string>\",\n \"code\": \"<string>\",\n \"description\": \"<string>\",\n \"totalContacts\": \"<integer>\",\n \"contactQueryId\": \"<integer>\",\n \"costPerContact\": \"<double>\",\n \"packageCode\": \"<string>\",\n \"packageDescription\": \"<string>\",\n \"receiptSegmentId\": \"<integer>\",\n \"segmentOrganizerId\": \"<integer>\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/Segment/{segmentId}';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
code: '<string>',
description: '<string>',
totalContacts: '<integer>',
contactQueryId: '<integer>',
costPerContact: '<double>',
packageCode: '<string>',
packageDescription: '<string>',
receiptSegmentId: '<integer>',
segmentOrganizerId: '<integer>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 5100,
"contactQueryId": 77,
"receiptSegmentId": 88,
"name": "Spring Appeal 2025 — Direct Mail",
"description": "Lapsed and mid-level donors targeted in the Spring Appeal direct-mail drop.",
"code": "SP-2025-DM",
"communicationId": 4400,
"communicationName": "Spring Appeal 2025 — Direct Mail",
"campaignId": 2010,
"campaignName": "Spring Appeal 2025",
"segmentOrganizerId": 5001
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Update a Segment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
(Required) The segment identifier.
Body
The name of the segment.
The code that identifies the record.
A free-text description of the record.
The number of contacts the segment was sent to.
The identifier of the saved contact query that defines the segment.
The cost of reaching one contact in the segment.
The code that identifies the package used for the segment.
A description of the package used for the segment.
The identifier of the segment used when receipting the gift, when it differs from the gift segment.
The identifier of the segment organizer this segment belongs to.
Response
OK
The saved contact query used by this segment.
The segment used for receipting.
The unique identifier of the record in Virtuous.
The display name of the record.
The free-text description stored on the record.
Was this page helpful?